#include "triangles.h"

using namespace std;

vector<vector<int>> solve(int n) {
    vector<vector<Triangle>> v;
    v.push_back({{0, 1, 2}, {0, 1, 3}});
    v.push_back({{0, 2, 1}, {0, 2, 3}});
    v.push_back({{0, 3, 1}, {0, 3, 2}});
    vector<Triangle> mx = v[0];
    for (int i = 1; i < v.size(); i++) {
        int a = compare(mx, v[i]);
        if (a == -1) {
            mx = v[i];
        }
    }

    vector<vector<int>> ans;
    ans.push_back({mx[0].i, mx[0].j, mx[0].k});
    ans.push_back({mx[1].i, mx[1].j, mx[1].k});
    return ans;
}
